Discover agents for a domain
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/discover-agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/discover-agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/discover-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"domain": "<string>",
"operator": {
"domain": "<string>",
"member": {
"slug": "<string>",
"display_name": "<string>"
},
"agents": [
{
"url": "<string>",
"name": "<string>",
"type": "<string>",
"compliance": {},
"storyboards": [
"<unknown>"
],
"authorized_by": [
"<unknown>"
]
}
]
},
"publisher": {
"domain": "<string>",
"member": {
"slug": "<string>",
"display_name": "<string>"
},
"adagents_valid": true,
"properties": [
{}
],
"authorized_agents": [
{}
],
"discovery_method": "direct",
"manager_domain": "<string>",
"resolved_url": "<string>",
"formats": [
{}
],
"hosting": {
"mode": "self",
"last_validated": "<string>"
},
"freshness": {
"source": "registry",
"registry_adagents_valid": true,
"last_validated": "<string>",
"recrawl_requested": true
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Discover agents for a domain
Query the agenticadvertising.org registry (with an adagents.json fallback) for the operator and publisher agents authorized for a domain. Server-side cached for 2 minutes; pass refresh=true to bypass.
GET
/
discover-agents
Discover agents for a domain
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/discover-agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/discover-agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/discover-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"domain": "<string>",
"operator": {
"domain": "<string>",
"member": {
"slug": "<string>",
"display_name": "<string>"
},
"agents": [
{
"url": "<string>",
"name": "<string>",
"type": "<string>",
"compliance": {},
"storyboards": [
"<unknown>"
],
"authorized_by": [
"<unknown>"
]
}
]
},
"publisher": {
"domain": "<string>",
"member": {
"slug": "<string>",
"display_name": "<string>"
},
"adagents_valid": true,
"properties": [
{}
],
"authorized_agents": [
{}
],
"discovery_method": "direct",
"manager_domain": "<string>",
"resolved_url": "<string>",
"formats": [
{}
],
"hosting": {
"mode": "self",
"last_validated": "<string>"
},
"freshness": {
"source": "registry",
"registry_adagents_valid": true,
"last_validated": "<string>",
"recrawl_requested": true
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Operator domain to discover agents for
Minimum string length:
1Set to "true" to bypass the 2-minute server-side cache and refetch
Available options:
true